> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post reservationseventsviews

> Searches for existing Reservations in the agilquest System. Reservations may be searched
for based on a number of criteria, defined in the **Reservation View Criteria** value.
The returned Reservation View results will have the total count of the matching Reservation Views
with an array of Reservation View values that fulfills the **start** and max row criteria of the POSTed criteria argument.

This operation requires a Reservation View Criteria value.

This operation returns a **Reservation View Wrapper** with the following fields:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /reservations/events/views
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /reservations/events/views:
    post:
      tags:
        - ReservationEventViewsService
      description: >-
        Searches for existing Reservations in the agilquest System. Reservations
        may be searched

        for based on a number of criteria, defined in the **Reservation View
        Criteria** value.

        The returned Reservation View results will have the total count of the
        matching Reservation Views

        with an array of Reservation View values that fulfills the **start** and
        max row criteria of the POSTed criteria argument.


        This operation requires a Reservation View Criteria value.


        This operation returns a **Reservation View Wrapper** with the following
        fields:
      operationId: searchEventViews
      parameters: []
      requestBody:
        description: ReservationViewCriteria
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  ownerFirstName: ...
                  sortColumn: END_TIME
                  ownerLastName: ...
                  sysidLocatorNodes:
                    - 12345
                    - 12345
                  eventName: ...
                  sysidUserOwners:
                    - 12345
                    - 12345
                  confirmationNumbers:
                    - 12345
                    - 12345
                  groupType: STANDARD
                  reservationStates:
                    - 12345
                    - 12345
                  sortAscending: true
                  dates:
                    - startTime:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      endTime:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                    - startTime:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      endTime:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                  sysidCategories:
                    - 12345
                    - 12345
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/EventViewCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    count: 12345
                    hasAdditional: true
                    views:
                      - sysidOwner: 12345
                        ownerLastName: ...
                        ownerFirstName: ...
                        sysidConfirmationNumber: 12345
                        aqEndTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        ownerMiddleInitial: ...
                        sysidReservationGroupType: 12345
                        aqStartTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        name: ...
                      - sysidOwner: 12345
                        ownerLastName: ...
                        ownerFirstName: ...
                        sysidConfirmationNumber: 12345
                        aqEndTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        ownerMiddleInitial: ...
                        sysidReservationGroupType: 12345
                        aqStartTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        name: ...
                    nextStartRow: 12345
              schema:
                $ref: '#/components/schemas/EventViewWrapper'
          description: >-
            ReservationViewWrapper containing Reservation Views.


            com.agilquest.phoenix.shared.data.rest.wrapper.ReservationViewWrapper
components:
  schemas:
    EventViewCriteria:
      type: object
      title: EventViewCriteria
      required:
        - sortAscending
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            ownerFirstName:
              type: string
            sortColumn:
              $ref: '#/components/schemas/EventViewSortColumns'
            ownerLastName:
              type: string
            sysidLocatorNodes:
              type: array
              items:
                type: integer
            eventName:
              type: string
            sysidUserOwners:
              type: array
              items:
                type: integer
            confirmationNumbers:
              type: array
              items:
                type: integer
            groupType:
              $ref: '#/components/schemas/ReservationGroupType'
            reservationStates:
              type: array
              items:
                type: integer
            sortAscending:
              type: boolean
            dates:
              type: array
              items:
                $ref: '#/components/schemas/DateRangeData'
            sysidCategories:
              type: array
              items:
                type: integer
      example:
        ownerFirstName: ...
        sortColumn: END_TIME
        ownerLastName: ...
        sysidLocatorNodes:
          - 12345
          - 12345
        eventName: ...
        sysidUserOwners:
          - 12345
          - 12345
        confirmationNumbers:
          - 12345
          - 12345
        groupType: STANDARD
        reservationStates:
          - 12345
          - 12345
        sortAscending: true
        dates:
          - startTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            endTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
          - startTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            endTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
        sysidCategories:
          - 12345
          - 12345
        startRow: 12345
        maxRows: 12345
    EventViewWrapper:
      type: object
      title: EventViewWrapper
      required:
        - count
        - hasAdditional
        - nextStartRow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            count:
              type: integer
              format: int32
            hasAdditional:
              type: boolean
            views:
              type: array
              items:
                $ref: '#/components/schemas/EventView'
            nextStartRow:
              type: integer
              format: int32
      example:
        count: 12345
        hasAdditional: true
        views:
          - sysidOwner: 12345
            ownerLastName: ...
            ownerFirstName: ...
            sysidConfirmationNumber: 12345
            aqEndTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            ownerMiddleInitial: ...
            sysidReservationGroupType: 12345
            aqStartTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            name: ...
          - sysidOwner: 12345
            ownerLastName: ...
            ownerFirstName: ...
            sysidConfirmationNumber: 12345
            aqEndTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            ownerMiddleInitial: ...
            sysidReservationGroupType: 12345
            aqStartTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            name: ...
        nextStartRow: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    EventViewSortColumns:
      type: string
      title: EventViewSortColumns
      enum:
        - CONFIRMATION_NUMBER
        - NAME
        - START_TIME
        - END_TIME
        - USER_NAME
    ReservationGroupType:
      type: string
      title: ReservationGroupType
      enum:
        - STANDARD
        - MULTIPOINT
    DateRangeData:
      type: object
      title: DateRangeData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startTime:
              $ref: '#/components/schemas/AqDate'
            endTime:
              $ref: '#/components/schemas/AqDate'
      example:
        startTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        endTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
    DependentData:
      type: object
      title: DependentData
      example: {}
    EventView:
      type: object
      title: EventView
      required:
        - sysidOwner
        - sysidReservationGroupType
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            sysidOwner:
              type: integer
              format: int32
            ownerLastName:
              type: string
            ownerFirstName:
              type: string
            sysidConfirmationNumber:
              type: integer
              format: int32
            aqEndTime:
              $ref: '#/components/schemas/AqDate'
            ownerMiddleInitial:
              type: string
            sysidReservationGroupType:
              type: integer
              format: int32
            aqStartTime:
              $ref: '#/components/schemas/AqDate'
            name:
              type: string
      example:
        sysidOwner: 12345
        ownerLastName: ...
        ownerFirstName: ...
        sysidConfirmationNumber: 12345
        aqEndTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        ownerMiddleInitial: ...
        sysidReservationGroupType: 12345
        aqStartTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        name: ...
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}

````